<?php
namespace Hanyuu\Users;

use Index\DateTime;
use Index\TimeZoneInfo;
use Index\Colour\Colour;

interface IUserInfo {
    public function getId(): string;
    public function getName(): string;
    public function getCountryCode(): string;
    public function getColour(): Colour;
    public function isSuper(): bool;
    public function getTimeZone(): TimeZoneInfo;
    public function getCreatedTime(): DateTime;
    public function getUpdatedTime(): DateTime;
    public function isDeleted(): bool;
    public function getDeletedTime(): DateTime;
}
