<?php
namespace Hanyuu\Users;

use Index\DateTime;

interface IUserPasswordInfo {
    public function getUserId(): string;
    public function getHash(): string;
    public function getChangedTime(): DateTime;
    public function verifyPassword(string $password): bool;
    public function needsRehash(string|int|null $algo, array $options = []): bool;
}
