<?php
namespace Hanyuu\Users;

use Index\DateTime;
use Hanyuu\OTP\TOTPGenerator;

interface IUserTOTPInfo {
    public function getUserId(): string;
    public function getSecretKey(): string;
    public function getChangedTime(): DateTime;
    public function createGenerator(): TOTPGenerator;
    public function generateValidCodes(int $offset = 0, int $timeStamp = -1): array;
}
