<?php
namespace Hanyuu\Auth;

use Index\DateTime;
use Index\Net\IPAddress;

interface IAuthLogin {
    public function getId(): string;
    public function getUserId(): string;
    public function getRemoteAddress(): IPAddress;
    public function getCountryCode(): string;
    public function getFactorsRequired(): int;
    public function getFactorsDone(): int;
    public function getStartedTime(): DateTime;
    public function isValid(): bool;
    public function getValidTime(): DateTime;
    public function hasCompleted(): bool;
    public function getCompletedTime(): DateTime;
}
